# Class SpeciesFormChangeTrigger`Abstract`

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeManualTrigger
  - SpeciesFormChangeItemTrigger
  - SpeciesFormChangeTimeOfDayTrigger
  - SpeciesFormChangeActiveTrigger
  - SpeciesFormChangeStatusEffectTrigger
  - SpeciesFormChangeMoveLearnedTrigger
  - SpeciesFormChangeMoveTrigger
  - SpeciesDefaultFormMatchTrigger

- Defined in src/data/pokemon-forms.ts:168

#####
Index

### Constructors

constructor

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeTrigger(): SpeciesFormChangeTrigger

- #### Returns SpeciesFormChangeTrigger

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:169

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:173